echo off
rem Second stage of two-disk installation. This is run from the destination
rem directory, which is current on entry.
rem Args are: src-drv dest-drv dest-dir DSK2

if "%1"=="" goto usage
if "%2"=="" goto usage
if "%3"=="" goto usage
if not "%4"=="DSK2" goto usage
goto start
:usage
echo Run INSTALL to install the program.
goto done

:start

:insdsk2
echo.
echo Please insert 'Disk 2' in drive %1
echo.
pause
if not exist %1lotfdsk2.id goto insdsk2
echo Copying 'Disk 2' files to %2%3...
rem Note: the destination directory is '.'.
xcopy %1*.* .
if errorlevel 1 goto copyfail

echo.
echo Installation complete. Type LOTF to start the game.
if not exist hiscore.old goto done

echo.
echo The old hi-score data has been saved in HISCORE.OLD. Use
echo.
echo   COPY HISCORE.OLD HISCORE.DAT
echo.
echo to restore the old scores.
echo.
echo If you have just installed a different version of the program, run
echo SETUP now to select any newly available options.
goto done

:copyfail
echo INSTALL: File copy failed.

:done
